Subject: Re: [bug#31250] [PATCH] Add leiningen

From: Pjotr Prins <[email-masked]>
Date: Fri, 27 Apr 2018 07:16:33 +0200

On Thu, Apr 26, 2018 at 12:41:32PM +0000, Nils Gillmann wrote:
> > The policy for Guix is to build things from source.  So we would have to
> > provide Leiningen and its dependencies as packages built from source,
> > and to remove the auto-download functionality from the script.
> 
> But this is on first run, not during the installation as far as I remember.
> So in my opinion that's not an immediate blocker for the initial package.
> The obvious fix afterwards is to apply the building from source.

We also packaged tools like conda that download binaries when run.

Adding Leiningen may accelerate using Clojure from Guix and support
will get better over time. Every time Rich Hickey talks about
deployment I am thinking he should be introduced to Guix.

Thanks for this!

Pj.